cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
Announcements
Want to learn about how Kev uses Dropbox to make sure he keeps track of all the new music he listens to? Check out his tips here

Dropbox installs & integrations

Connect your tools and content together with help from the Dropbox Community. Join a discussion or post a question of your own to get started.

cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

DropBox won't start on Catalina after changing User account

DropBox won't start on Catalina after changing User account

dloomstein
New member | Level 2

Unable to open DropBox now on my Mac. I changed my hard drive name, and the app insists on opening up under the old user name. I've tried several proposed solutions, and it appears DropBox has no direct support options. What are my options at this point besides switching to Google Drive? I am not interested in upgrading my OS to use DropBox. Thanks.

 

Prompt: Dropbox needs to change permissions for the Folder: /Users/XXX/.dropbox

Login attempted

Error Message: Couldn't start Dropbox - This is usually because of a permissions error. Storing your home folder on a network share can also cause an error. For more information click the help button below. Please contact Dropbox support with the following info for help:

bn.BUILD_KEY: Dropbox
bn.VERSION: 110.4.458
bn.constants.WINDOWS_SHELL_EXT_VERSION: 46
bn.is_frozen: True
machine_id: e5bd9c7b-eaca-5bfd-bace-5556146f5d5d
pid: 1312
ppid: 1
uid: 501
user_info: pwd.struct_passwd(pw_name='djloomer7', pw_passwd='********', pw_uid=501, pw_gid=20, pw_gecos='DJL', pw_dir='/Users/djloomer7', pw_shell='/bin/bash')
effective_user_info: pwd.struct_passwd(pw_name='djloomer7', pw_passwd='********', pw_uid=501, pw_gid=20, pw_gecos='DJL', pw_dir='/Users/djloomer7', pw_shell='/bin/bash')
euid: 501
gid: 20
egid: 20
group_info: grp.struct_group(gr_name='staff', gr_passwd='*', gr_gid=20, gr_mem=['root', 'djloomer'])
effective_group_info: grp.struct_group(gr_name='staff', gr_passwd='*', gr_gid=20, gr_mem=['root', 'djloomer'])
DYLD_LIBRARY_PATH: None
cwd: '/'
     real_path='/'
            mode=0o40755 uid=0 gid=0
     parent mode=0o40755 uid=0 gid=0
HOME: '/Users/djloomer7'
appdata: '/Users/na/.dropbox/instance1'
         real_path='/Users/na/.dropbox/instance1'
                not found
         parent not found
dropbox_path: '/Users/djloomer7/Dropbox'
              real_path='/Users/djloomer7/Dropbox'
                    mode=0o40700 uid=501 gid=80
              parent mode=0o40755 uid=501 gid=20
sys_executable: '/Applications/Dropbox.app/Contents/MacOS/Dropbox'
                real_path='/Applications/Dropbox.app/Contents/MacOS/Dropbox'
                      mode=0o100755 uid=501 gid=20
                parent mode=0o40755 uid=501 gid=20
trace.__file__: '/Applications/Dropbox.app/Contents/Resources/python-packages.zip/dropbox/client/ui/common/boot_error.pyc'
                real_path='/Applications/Dropbox.app/Contents/Resources/python-packages.zip/dropbox/client/ui/common/boot_error.pyc'
                      not found
                parent not found
tempdir: '/var/folders/nm/2vghs6s50w5bdsjzppg679rr0000gn/T'
         real_path='/private/var/folders/nm/2vghs6s50w5bdsjzppg679rr0000gn/T'
                mode=0o40700 uid=501 gid=20
         parent mode=0o40755 uid=501 gid=20
Traceback (most recent call last):
  File "dropbox/client/main.pyc", line 1268, in safe_makedirs
  File "os.pyc", line 213, in makedirs
  File "os.pyc", line 213, in makedirs
  File "os.pyc", line 223, in makedirs
PermissionError: [Errno 13] Permission denied: '/Users/na'
 
During handling of the above exception, another exception occurred:
 
Traceback (most recent call last):
  File "dropbox/client/main.pyc", line 7769, in main_startup
  File "dropbox/client/main.pyc", line 2957, in run
  File "dropbox/client/main.pyc", line 1714, in startup_low
  File "dropbox/client/main.pyc", line 1295, in safe_makedirs
  File "os.pyc", line 213, in makedirs
  File "os.pyc", line 213, in makedirs
  File "os.pyc", line 223, in makedirs
PermissionError: [Errno 13] Permission denied: '/Users/na'
1 Accepted Solution

Accepted Solutions

Re: DropBox won't start on Catalina after changing User account

Здравко
Super Collaborator | Level 20
4 Replies 4

Re: DropBox won't start on Catalina after changing User account

Здравко
Super Collaborator | Level 20

Re: DropBox won't start on Catalina after changing User account

Rich
Super User II

@dloomstein wrote:

I changed my hard drive name, and the app insists on opening up under the old user name.


Or, perform a complete reinstallation as described my Dropboxer Stefanie in the following thread:

 

Re: DropBox won't start on Catalina after changing User account

dloomstein
New member | Level 2

Perfect! Fast and effective. Thank you.

Re: DropBox won't start on Catalina after changing User account

dloomstein
New member | Level 2

I found that recommendation earlier and tried it to no avail.

 

The detach and re-attach worked perfectly. Thank you for taking the time to suggest this. Much appreciated.

Who's talking

Top contributors to this post

  • User avatar
    dloomstein New member | Level 2
  • User avatar
    Rich Super User II
  • User avatar
    Здравко Super Collaborator | Level 20
What do Dropbox user levels mean?
Need more support?